<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script type="module">
    import Car from "./Car.js";
    import Motorbike from "./Motorbike.js";
    import Vehicle from "./Vehicle.js";

    const car = new Car("123", "Toyota");
    car.honk();
    console.log(car instanceof Car); // true
    console.log(car instanceof Vehicle); // true

    const motorbike = new Motorbike("456", "Honda");
    motorbike.honk();
    console.log(motorbike instanceof Motorbike); // true
    console.log(motorbike instanceof Vehicle); // true
</script>
</html>
